summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenedikt Boehm <hollow@gentoo.org>2008-04-30 18:57:10 +0000
committerBenedikt Boehm <hollow@gentoo.org>2008-04-30 18:57:10 +0000
commitb543641650ec4c068fbea00ba1e1b20c8a4a056e (patch)
tree90d4511d39bd218d5d622d613d3389496b6ce338 /eclass/subversion.eclass
parentVersion bump (including a lot fixes, thanks to Peter Alfredsen and Debian, bu... (diff)
downloadgentoo-2-b543641650ec4c068fbea00ba1e1b20c8a4a056e.tar.gz
gentoo-2-b543641650ec4c068fbea00ba1e1b20c8a4a056e.tar.bz2
gentoo-2-b543641650ec4c068fbea00ba1e1b20c8a4a056e.zip
add support for subversion 1.5 webdav changes, bug #219509
Diffstat (limited to 'eclass/subversion.eclass')
-rw-r--r--eclass/subversion.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 927ac005e8f6..e6d9a0c170ef 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.57 2008/03/06 09:23:39 zlin Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.58 2008/04/30 18:57:10 hollow Exp $
# @ECLASS: subversion.eclass
# @MAINTAINER:
@@ -169,12 +169,14 @@ subversion_fetch() {
case "${protocol}" in
http|https)
- if built_with_use dev-util/subversion nowebdav; then
+ if ! built_with_use --missing true -o dev-util/subversion webdav-neon webdav-serf || \
+ built_with_use --missing false dev-util/subversion nowebdav ; then
echo
eerror "In order to emerge this package, you need to"
- eerror "re-emerge subversion with USE=-nowebdav"
+ eerror "reinstall Subversion with support for WebDAV."
+ eerror "Subversion requires either Neon or Serf to support WebDAV."
echo
- die "${ESVN}: please run 'USE=-nowebdav emerge subversion'"
+ die "${ESVN}: reinstall Subversion with support for WebDAV."
fi
;;
svn|svn+ssh)